<?php
/**
 * Pet House Theme Customizer.
 *
 * @package Pet House
 */

 if ( ! class_exists( 'Pet_House_Customizer' ) ) {

	/**
	 * Customizer Loader
	 *
	 * @since 1.0.0
	 */
	class Pet_House_Customizer {

		/**
		 * Instance
		 *
		 * @access private
		 * @var object
		 */
		private static $instance;

		/**
		 * Initiator
		 */
		public static function get_instance() {
			if ( ! isset( self::$instance ) ) {
				self::$instance = new self;
			}
			return self::$instance;
		}

		/**
		 * Constructor
		 */
		public function __construct() {
			/**
			 * Customizer
			 */
			add_action( 'customize_preview_init',                  array( $this, 'Pet_House_Customize_preview_js' ) );
			add_action( 'customize_controls_enqueue_scripts', 	   array( $this, 'Pet_House_Customizer_script' ) );
			add_action( 'customize_register',                      array( $this, 'Pet_House_Customizer_register' ) );
			add_action( 'after_setup_theme',                       array( $this, 'Pet_House_Customizer_settings' ) );
		}
		
		/**
		 * Add postMessage support for site title and description for the Theme Customizer.
		 *
		 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
		 */
		function Pet_House_Customizer_register( $wp_customize ) {
			
			$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
			$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
			$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
			$wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
			$wp_customize->get_setting('custom_logo')->transport = 'refresh';			
			
			/**
			 * Helper files
			 */
			require PET_HOUSE_PARENT_INC_DIR . '/customizer/sanitization.php';
		} 
		
		/**
		 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
		 */
		function Pet_House_Customize_preview_js() {
			wp_enqueue_script( 'pet-house-customizer', PET_HOUSE_PARENT_INC_URI . '/customizer/assets/js/customizer-preview.js', array( 'customize-preview' ), '20151215', true );
		}		
		
		function Pet_House_Customizer_script() {
			 wp_enqueue_script( 'pet-house-customizer-section', PET_HOUSE_PARENT_INC_URI .'/customizer/assets/js/customizer-section.js', array("jquery"),'', true  );
		}

		// Include customizer customizer settings.
			
		function Pet_House_Customizer_settings() {
			require PET_HOUSE_PARENT_INC_DIR . '/customizer/customizer-options/header.php';
			require PET_HOUSE_PARENT_INC_DIR . '/customizer/customizer-options/upper-header.php';
			require PET_HOUSE_PARENT_INC_DIR . '/customizer/customizer-options/frontpage.php';
			require PET_HOUSE_PARENT_INC_DIR . '/customizer/customizer-options/footer.php';
			require PET_HOUSE_PARENT_INC_DIR . '/customizer/customizer-options/post.php';
			require PET_HOUSE_PARENT_INC_DIR . '/customizer/customizer-options/general.php';
			require PET_HOUSE_PARENT_INC_DIR . '/customizer/customizer-pro/class-customize.php';
			require PET_HOUSE_PARENT_INC_DIR . '/customizer/customizer-options/sidebar-option.php';
			require PET_HOUSE_PARENT_INC_DIR . '/customizer/customizer-options/typography.php';
			require PET_HOUSE_PARENT_INC_DIR . '/customizer/customizer-pro/customizer-upgrade-class.php';

		}

	}
}

/**
 *  Kicking this off by calling 'get_instance()' method
 */
Pet_House_Customizer::get_instance();